Subject: [Sip] S/MIME signatures

From: "Mark Watson" <[email-masked]>
Date: Fri, 14 Mar 2003 15:21:06 -0000

All,

RFC3261, 23.3 says:

	"multipart/signed" MUST be used only with CMS detached signatures.

But according to RFC2633 (S/MIME) "multipart/signed" is only used with
detached signatures anyway. From RFC2633, Section 3.4.3:

   "The multipart/signed MIME type has two parts. The first part contains
the
   MIME entity that is signed; the second part contains the "detached
   signature" CMS SignedData object in which the encapContentInfo
   eContent field is absent."

So, what is the intention of the statement from RFC3261 ?

Is it meant instead that the case where the content is encapsulated in the
CMS SignedData is NOT allowed in SIP ? This would use
"application/pkcs7-mime", not "multipart/signed".

Regards...Mark